Loading...
Searching...
No Matches
kruskal.h File Reference
Algorithms » Minimum Spanning Tree Algorithms
`#include <algorithm>`
`#include <vector>`
`#include <lemon/unionfind.h>`
`#include <lemon/maps.h>`
`#include <lemon/core.h>`
`#include <lemon/bits/traits.h>`

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<typename Graph, typename In, typename Out>
Value | kruskal (const Graph &g, const In &in, Out &out)
| Kruskal's algorithm for finding a minimum cost spanning tree of a graph.